org.apache.nutch.webui.pages.crawls

## Class CrawlPanel

- java.lang.Object
- - org.apache.wicket.Component
  - - org.apache.wicket.MarkupContainer
    - - org.apache.wicket.markup.html.WebMarkupContainer
      - - org.apache.wicket.markup.html.panel.Panel
        - - de.agilecoders.wicket.core.markup.html.bootstrap.dialog.Modal
          - - org.apache.nutch.webui.pages.crawls.CrawlPanel

- All Implemented Interfaces:
    Serializable, Iterable<org.apache.wicket.Component>, org.apache.wicket.event.IEventSink, org.apache.wicket.event.IEventSource, org.apache.wicket.IConverterLocator, org.apache.wicket.markup.html.IHeaderContributor, org.apache.wicket.request.component.IRequestableComponent, org.apache.wicket.util.IHierarchical<org.apache.wicket.Component>, org.apache.wicket.util.io.IClusterable

      public class CrawlPanel
      extends de.agilecoders.wicket.core.markup.html.bootstrap.dialog.Modal

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.agilecoders.wicket.core.markup.html.bootstrap.dialog.Modal

      `BUTTON_MARKUP_ID`

    - ### Fields inherited from class org.apache.wicket.markup.html.panel.Panel

      `PANEL`

    - ### Fields inherited from class org.apache.wicket.Component

      `ENABLE, FLAG_INITIALIZED, FLAG_REMOVING_FROM_HIERARCHY, FLAG_RESERVED1, FLAG_RESERVED2, FLAG_RESERVED3, FLAG_RESERVED4, FLAG_RESERVED5, FLAG_RESERVED8, PARENT_PATH, PATH_SEPARATOR, RENDER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrawlPanel(String markupId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setModel(org.apache.wicket.model.IModel<Crawl> model)`

    - ### Methods inherited from class de.agilecoders.wicket.core.markup.html.bootstrap.dialog.Modal

      `addButton, addCloseButton, addCloseButton, addOpenerAttributesTo, appendCloseDialogJavaScript, appendShowDialogJavaScript, createActionScript, createBasicInitializerScript, header, header, onClose, onComponentTag, onConfigure, onInitialize, renderHead, setFadeIn, setFooterVisible, setHeaderVisible, setUseCloseHandler, setUseKeyboard, show, showImmediately, useFadein, useKeyboard`

    - ### Methods inherited from class org.apache.wicket.markup.html.panel.Panel

      `newMarkupSourcingStrategy`

    - ### Methods inherited from class org.apache.wicket.markup.html.WebMarkupContainer

      `getWebPage, getWebRequest, getWebResponse, getWebSession`

    - ### Methods inherited from class org.apache.wicket.MarkupContainer

      `add, addOrReplace, autoAdd, contains, get, get, getAssociatedMarkup, getAssociatedMarkupStream, getMarkup, getMarkupType, internalAdd, internalInitialize, iterator, iterator, onAfterRenderChildren, onComponentTagBody, onRender, remove, remove, removeAll, renderAll, renderAssociatedMarkup, renderNext, replace, setDefaultModel, size, swap, toString, toString, visitChildren, visitChildren, visitChildren, visitChildren`

    - ### Methods inherited from class org.apache.wicket.Component

      `add, addStateChange, afterRender, beforeRender, canCallListenerInterface, checkComponentTag, checkComponentTagAttribute, checkHierarchyChange, clearOriginalDestination, configure, continueToOriginalDestination, debug, detach, detachModel, detachModels, determineVisibility, error, exceptionMessage, fatal, findMarkupStream, findPage, findParent, findParentWithAssociatedMarkup, getAjaxRegionMarkupId, getApplication, getBehaviorById, getBehaviorId, getBehaviors, getBehaviors, getClassRelativePath, getConverter, getDefaultModel, getDefaultModelObject, getDefaultModelObjectAsString, getDefaultModelObjectAsString, getEscapeModelStrings, getFeedbackMessages, getFlag, getId, getInnermostModel, getInnermostModel, getLocale, getLocalizer, getMarkup, getMarkupAttributes, getMarkupId, getMarkupId, getMarkupIdFromMarkup, getMarkupIdImpl, getMarkupSourcingStrategy, getMetaData, getModelComparator, getOutputMarkupId, getOutputMarkupPlaceholderTag, getPage, getPageRelativePath, getParent, getPath, getRenderBodyOnly, getRequest, getRequestCycle, getRequestFlag, getResponse, getSession, getSizeInBytes, getStatelessHint, getString, getString, getString, getStyle, getVariation, hasBeenRendered, hasErrorMessage, hasFeedbackMessage, info, initModel, internalOnModelChanged, internalPrepareForRender, internalRenderComponent, isActionAuthorized, isAuto, isBehaviorAccepted, isEnableAllowed, isEnabled, isEnabledInHierarchy, isIgnoreAttributeModifier, isRenderAllowed, isStateless, isVersioned, isVisibilityAllowed, isVisible, isVisibleInHierarchy, markRendering, modelChanged, modelChanging, onAfterRender, onBeforeRender, onDetach, onEvent, onModelChanged, onModelChanging, onRemove, prepareForRender, redirectToInterceptPage, remove, remove, render, renderComponentTag, rendered, renderHead, renderHead, renderPlaceholderTag, replaceComponentTagBody, replaceWith, sameInnermostModel, sameInnermostModel, send, setAuto, setDefaultModelObject, setEnabled, setEscapeModelStrings, setFlag, setIgnoreAttributeModifier, setMarkup, setMarkupId, setMarkupIdImpl, setMetaData, setOutputMarkupId, setOutputMarkupPlaceholderTag, setParent, setRenderBodyOnly, setRequestFlag, setResponsePage, setResponsePage, setResponsePage, setVersioned, setVisibilityAllowed, setVisible, success, urlFor, urlFor, urlFor, urlFor, urlFor, visitParents, visitParents, warn, wrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### CrawlPanel

          public CrawlPanel(String markupId)

  - ### Method Detail

    - #### setModel

          public void setModel(org.apache.wicket.model.IModel<Crawl> model)

Copyright © 2021 The Apache Software Foundation